OpenAPI operations
Start a bulk replay
const url = 'https://api.hooks.events/v1/replays';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"filters":{"endpointId":"example","since":"2026-04-15T12:00:00Z","until":"2026-04-15T12:00:00Z","eventType":"example","status":"all","limit":1},"destinationId":"example","destination":{"name":"example","url":"example","type":"example","config":{"additionalProperty":"example"}},"dryRun":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.hooks.events/v1/replays \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "filters": { "endpointId": "example", "since": "2026-04-15T12:00:00Z", "until": "2026-04-15T12:00:00Z", "eventType": "example", "status": "all", "limit": 1 }, "destinationId": "example", "destination": { "name": "example", "url": "example", "type": "example", "config": { "additionalProperty": "example" } }, "dryRun": true }'Requires the deliveries:retry scope.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”object
object
object
object
Responses
Section titled “Responses”Success
Bulk replay job
object
Example generated
{ "additionalProperty": "example"}Validation error
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Missing or invalid credentials
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}The credential lacks the required scope, or the workspace is not writable
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Rate limited
object
object
Machine-readable error code
Request id, also echoed in x-request-id
Per-field validation details for VALIDATION_ERROR
object
Body or query field that failed validation
Example generated
{ "error": { "code": "example", "message": "example", "requestId": "example", "issues": [ { "path": "example", "message": "example" } ] }}Headers
Section titled “Headers”Requests allowed per window
Seconds until the window resets
Seconds to wait before retrying. Absent when the rejection has no retry time (for example the Free lifetime quota).
Request allowance for the workspace’s plan
Requests left in the allowance after this request